<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

$export_formats = apply_filters('woocommerce_accounting_export_formats', array(
	'basic'=>__('Basic', 'accounting-for-woocommerce'),
	'refunds'=>__('Refunds', 'accounting-for-woocommerce'),
));
$export_page = filter_input(INPUT_GET, 'format');
if(!$export_page){
	$export_page = array_keys($export_formats)[0];
}

?>
<div class="wrap">
	<?php do_action('woocommerce_accounting:export_form:before_title'); ?>
	<h2><?php _e( 'Accounting Export' , 'accounting-for-woocommerce'); ?></h2>

	<nav class="nav-tab-wrapper woo-nav-tab-wrapper">
	<?php foreach($export_formats as $name=>$label): ?>
		<?php if($name == $export_page): ?>
			<strong class="nav-tab nav-tab-active">
				<?php echo $label; ?>
			</strong>
		<?php else: ?>
			<a href="<?php echo add_query_arg('format', $name); ?>" class="nav-tab ">
				<?php echo $label; ?>
			</a>
		<?php endif; ?>
	<?php endforeach; ?>
	</nav>

    <?php
    $filename = apply_filters('woocommerce_accounting_view_export_page', plugin_dir_path( __FILE__ ) . "export-{$export_page}.php", $export_page);
    include $filename;
    ?>
</div>
